Main Page Data Structures File List Data Fields Globals Related Pages

# checkbios.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines
#define | SYSTEM_INT 0xA0
#define | FEAT_AX_ETHERNET 1
#define | FEAT_AX_PPPSERVER 2
#define | FEAT_AX_PPPCLIENT 4
#define | FEAT_AX_HTTP 8
#define | FEAT_AX_TELNET 16
#define | FEAT_AX_FTP 32
#define | FEAT_AX_TFTP 64
#define | FEAT_AX_DHCP 128
#define | FEAT_BX_SNMPMIB 1
#define | FEAT_BX_UDPCONFIG 2
#define | FEAT_BX_PING 4
#define | FEAT_DX_I2C 1
#define | FEAT_DX_HWAPI 2
#define | FEAT_DX_RTOS 4
#define | FEAT_DX_PACKET 8
#define | FEAT_DX_SERIAL 16
#define | FEAT_DX_EXTDISK 32
## Functions
bool | CheckBIOS ()
| Check bios and chip.ini settings.

## Define Documentation

#define FEAT_AX_DHCP 128

| Definition at line 13 of file checkbios.h.

#define FEAT_AX_ETHERNET 1

| Definition at line 6 of file checkbios.h. Referenced by CheckBIOS().

#define FEAT_AX_FTP 32

| Definition at line 11 of file checkbios.h.

#define FEAT_AX_HTTP 8

| Definition at line 9 of file checkbios.h.

#define FEAT_AX_PPPCLIENT 4

| Definition at line 8 of file checkbios.h.

#define FEAT_AX_PPPSERVER 2

| Definition at line 7 of file checkbios.h.

#define FEAT_AX_TELNET 16

| Definition at line 10 of file checkbios.h.

#define FEAT_AX_TFTP 64

| Definition at line 12 of file checkbios.h.

#define FEAT_BX_PING 4

| Definition at line 17 of file checkbios.h.

#define FEAT_BX_SNMPMIB 1

| Definition at line 15 of file checkbios.h.

#define FEAT_BX_UDPCONFIG 2

| Definition at line 16 of file checkbios.h.

#define FEAT_DX_EXTDISK 32

| Definition at line 24 of file checkbios.h. Referenced by CheckBIOS().

#define FEAT_DX_HWAPI 2

| Definition at line 20 of file checkbios.h. Referenced by CheckBIOS().

#define FEAT_DX_I2C 1

| Definition at line 19 of file checkbios.h. Referenced by CheckBIOS().

#define FEAT_DX_PACKET 8

| Definition at line 22 of file checkbios.h.

#define FEAT_DX_RTOS 4

| Definition at line 21 of file checkbios.h. Referenced by CheckBIOS().

#define FEAT_DX_SERIAL 16

| Definition at line 23 of file checkbios.h.

#define SYSTEM_INT 0xA0

| Definition at line 4 of file checkbios.h. Referenced by getBiosVersion(), getBootVersion(), getFeatures(), and getIniString().

## Function Documentation

bool CheckBIOS | ( |  | ) |

| Check bios and chip.ini settings. Because our program needs some BIOS features and relies on DMA channels, we have to check some settings first. Todo: change function name to "BIOS_Init()", and perhaps adjust the filename, too. BIOS and system functions that aren't yet included in the clib should fit in here. Definition at line 150 of file checkbios.cpp. References FEAT_AX_ETHERNET, FEAT_DX_EXTDISK, FEAT_DX_HWAPI, FEAT_DX_I2C, FEAT_DX_RTOS, getBiosVersion(), getBootVersion(), getEquipment(), getFeatures(), getFocus(), getIniString(), MAGIC_AUTO_UPLOAD, releaseFocus(), and trim(). Referenced by main().